Debian Bug report logs - #673701
RM: qtdmm -- RM; Qt3, without Qt4 version

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Steffen Moeller <steffen_moeller@gmx.de>

Date: Sun, 20 May 2012 20:30:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ana@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#673701; Package release.debian.org. (Sun, 20 May 2012 20:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Moeller <steffen_moeller@gmx.de>:
New Bug report received and forwarded. Copy sent to ana@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 20 May 2012 20:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steffen Moeller <steffen_moeller@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: qtdmm/0.8.13-3
Date: Sun, 20 May 2012 22:26:13 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: rm

Even upstream has given up on qtdmm to make the transition to current
Qt/KDE standards and develops QtDMM 2, which is not packaged for Debian.
Now Debian will not continue the maintenance of the older libraries
and Ana today sent #604578, suggesting to initiate the removal of
anything depending on those older libraries.  The package has a rather
surprisingly high user base >200 on popcon and needs little maintenance.
It is sad to see it go, but if it shall be, so be it. For the fragile
Linux community of electroengineers it would be neat to directly offer
QtDMM2 as a substitute. But I am too busy to address that.

Steffen

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-rt-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#673701; Package release.debian.org. (Sun, 20 May 2012 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 20 May 2012 20:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 673701@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Steffen Moeller <steffen_moeller@gmx.de>, 673701@bugs.debian.org
Subject: Re: Bug#673701: RM: qtdmm/0.8.13-3
Date: Sun, 20 May 2012 21:35:19 +0100
On Sun, 2012-05-20 at 22:26 +0200, Steffen Moeller wrote:
> Even upstream has given up on qtdmm to make the transition to current
> Qt/KDE standards and develops QtDMM 2, which is not packaged for Debian.
> Now Debian will not continue the maintenance of the older libraries
> and Ana today sent #604578, suggesting to initiate the removal of
> anything depending on those older libraries.  The package has a rather
> surprisingly high user base >200 on popcon and needs little maintenance.
> It is sad to see it go, but if it shall be, so be it. For the fragile
> Linux community of electroengineers it would be neat to directly offer
> QtDMM2 as a substitute. But I am too busy to address that.

In that case, should the package not be removed from the archive
entirely - i.e. from unstable - rather than just from testing?  It
doesn't seem particularly productive to remove it from testing just to
have it languish unmaintained and unusable in unstable.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#673701; Package release.debian.org. (Sun, 20 May 2012 20:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steffen Möller" <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 20 May 2012 20:45:09 GMT) Full text and rfc822 format available.

Message #15 received at 673701@bugs.debian.org (full text, mbox):

From: "Steffen Möller" <steffen_moeller@gmx.de>
To: 673701@bugs.debian.org
Subject: Re: Bug#673701: RM: qtdmm/0.8.13-3
Date: Sun, 20 May 2012 22:41:20 +0200
-------- Original-Nachricht --------
> Datum: Sun, 20 May 2012 21:35:19 +0100
> Von: "Adam D. Barratt" <adam@adam-barratt.org.uk>
> An: Steffen Moeller <steffen_moeller@gmx.de>, 673701@bugs.debian.org
> Betreff: Re: Bug#673701: RM: qtdmm/0.8.13-3

> On Sun, 2012-05-20 at 22:26 +0200, Steffen Moeller wrote:
> > Even upstream has given up on qtdmm to make the transition to current
> > Qt/KDE standards and develops QtDMM 2, which is not packaged for Debian.
> > Now Debian will not continue the maintenance of the older libraries
> > and Ana today sent #604578, suggesting to initiate the removal of
> > anything depending on those older libraries.  The package has a rather
> > surprisingly high user base >200 on popcon and needs little maintenance.
> > It is sad to see it go, but if it shall be, so be it. For the fragile
> > Linux community of electroengineers it would be neat to directly offer
> > QtDMM2 as a substitute. But I am too busy to address that.
> 
> In that case, should the package not be removed from the archive
> entirely - i.e. from unstable - rather than just from testing?  It
> doesn't seem particularly productive to remove it from testing just to
> have it languish unmaintained and unusable in unstable.
> 
Thank you for that request for clarification. Yes, a complete removal of the package was my intention to request.

Many thanks again and regards,

Steffen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#673701; Package release.debian.org. (Sun, 20 May 2012 20:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 20 May 2012 20:45:11 GMT) Full text and rfc822 format available.

Message #20 received at 673701@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Steffen Moeller <steffen_moeller@gmx.de>, 673701@bugs.debian.org
Subject: Re: Bug#673701: RM: qtdmm/0.8.13-3
Date: Sun, 20 May 2012 22:42:26 +0200
[Message part 1 (text/plain, inline)]
Hi Steffen.

Steffen Moeller <steffen_moeller@gmx.de> (20/05/2012):
> Even upstream has given up on qtdmm to make the transition to current
> Qt/KDE standards and develops QtDMM 2, which is not packaged for Debian.
> Now Debian will not continue the maintenance of the older libraries
> and Ana today sent #604578, suggesting to initiate the removal of
> anything depending on those older libraries.  The package has a rather
> surprisingly high user base >200 on popcon and needs little maintenance.
> It is sad to see it go, but if it shall be, so be it. For the fragile
> Linux community of electroengineers it would be neat to directly offer
> QtDMM2 as a substitute. But I am too busy to address that.

Here's a little read while Ana is reassigning your bug report to
ftpmasters: ;)
  http://wiki.debian.org/ftpmaster_Removals

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'release.debian.org' to 'ftp.debian.org'. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 20 May 2012 20:45:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: qtdmm -- RM; Qt3, without Qt4 version' from 'RM: qtdmm/0.8.13-3' Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 20 May 2012 20:45:15 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 24 May 2012 12:40:41 GMT) Full text and rfc822 format available.

Notification sent to Steffen Moeller <steffen_moeller@gmx.de>:
Bug acknowledged by developer. (Thu, 24 May 2012 12:40:47 GMT) Full text and rfc822 format available.

Message #29 received at 673701-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 673701-close@bugs.debian.org
Cc: qtdmm@packages.debian.org, qtdmm@packages.qa.debian.org
Subject: Bug#673701: Removed package(s) from unstable
Date: Thu, 24 May 2012 12:38:06 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     qtdmm |   0.8.13-3 | source, amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
     qtdmm | 0.8.13-3+b1 | hurd-i386

------------------- Reason -------------------
RM; Qt3, without Qt4 version
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673701@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/673701

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jun 2012 07:33:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:07:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.